POST
/api/v1/storage/create-pre-signed-url/
curl --request POST \ --url 'https://api.e2enetworks.com/myaccount/api/v1/storage/create-pre-signed-url/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>' \ --header 'Content-Type: application/json' \ --data '{ "object_name": "{{object_name}}", "url_type": "POST", "bucket_name": "{{bucket_name}}", "expiry_time": 600, "object_version": "{{version_id}}"}'import requests
response = requests.post( "https://api.e2enetworks.com/myaccount/api/v1/storage/create-pre-signed-url/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"}, json={ "object_name": "{{object_name}}", "url_type": "POST", "bucket_name": "{{bucket_name}}", "expiry_time": 600, "object_version": "{{version_id}}", },)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/storage/create-pre-signed-url/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "POST", headers: { "Authorization": "Bearer <API_TOKEN>", "Content-Type": "application/json" }, body: JSON.stringify({ "object_name": "{{object_name}}", "url_type": "POST", "bucket_name": "{{bucket_name}}", "expiry_time": 600, "object_version": "{{version_id}}" }),});console.log(await response.json());Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”project_id
required
integer
Project ID Find your project id here
location
required
string
Deployment region for the resource. Accepted values: Delhi, Chennai.
Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.
Request Body
Section titled “Request Body”Media typeapplication/json
object
object_name
string
Example
{{object_name}}url_type
string
Example
POSTbucket_name
string
Example
{{bucket_name}}expiry_time
Expiration time of the URL in seconds.
integer
Example
600object_version
string
Example
{{version_id}}Responses
Section titled “Responses”Signed URL for accessing an object in the bucket
Media typeapplication/json
object
code
integer
data
object
signed_url
required
string format: uri
errors
object
message
string
Example
{ "code": 200, "data": { "signed_url": "https://objectstore.example.net/example-bucket/example.png?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=EXAMPLE&X-Amz-Date=20250527T000000Z&X-Amz-Expires=600&X-Amz-SignedHeaders=host&X-Amz-Signature=abcdef1234567890" }, "errors": {}, "message": "Success"}Precondition Failed error response when bucket does not exist
Media typeapplication/json
object
code
integer
data
object
errors
string
message
string
Example
{ "code": 412, "data": {}, "errors": "No Bucket with this name exist in this project.", "message": "Precondition Failed"}